<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('admins', function (Blueprint $table) {
            $table->foreignId('region_id')->nullable()->constrained('region')->after('id');
            $table->foreignId('rayon_id')->nullable()->constrained('rayon')->after('region_id');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('admins', function (Blueprint $table) {
            $table->foreignId('region_id')->nullable()->constrained('region')->after('id');
            $table->foreignId('rayon_id')->nullable()->constrained('rayon')->after('region_id');
        });
    }
};
